org.apache.hc.core5.benchmark

## Class BenchmarkConfig

- java.lang.Object
- - org.apache.hc.core5.benchmark.BenchmarkConfig

-     public class BenchmarkConfig
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BenchmarkConfig.Builder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BenchmarkConfig.Builder` | `copy(BenchmarkConfig config)`
    `static BenchmarkConfig.Builder` | `custom()`
    `int` | `getConcurrencyLevel()`
    `ContentType` | `getContentType()`
    `String[]` | `getHeaders()`
    `String` | `getIdentityStorePassword()`
    `String` | `getIdentityStorePath()`
    `String` | `getMethod()`
    `File` | `getPayloadFile()`
    `String` | `getPayloadText()`
    `int` | `getRequests()`
    `String` | `getSoapAction()`
    `Timeout` | `getSocketTimeout()`
    `TimeValue` | `getTimeLimit()`
    `String` | `getTrustStorePassword()`
    `String` | `getTrustStorePath()`
    `URI` | `getUri()`
    `int` | `getVerbosity()`
    `boolean` | `isDisableSSLVerification()`
    `boolean` | `isForceHttp2()`
    `boolean` | `isHeadInsteadOfGet()`
    `boolean` | `isKeepAlive()`
    `boolean` | `isUseAcceptGZip()`
    `boolean` | `isUseChunking()`
    `boolean` | `isUseExpectContinue()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getUri

          public URI getUri()

    - #### getRequests

          public int getRequests()

    - #### getConcurrencyLevel

          public int getConcurrencyLevel()

    - #### isKeepAlive

          public boolean isKeepAlive()

    - #### getVerbosity

          public int getVerbosity()

    - #### isHeadInsteadOfGet

          public boolean isHeadInsteadOfGet()

    - #### getPayloadFile

          public File getPayloadFile()

    - #### getContentType

          public ContentType getContentType()

    - #### getHeaders

          public String[] getHeaders()

    - #### getSocketTimeout

          public Timeout getSocketTimeout()

    - #### getMethod

          public String getMethod()

    - #### isUseChunking

          public boolean isUseChunking()

    - #### isUseExpectContinue

          public boolean isUseExpectContinue()

    - #### isUseAcceptGZip

          public boolean isUseAcceptGZip()

    - #### getPayloadText

          public String getPayloadText()

    - #### getSoapAction

          public String getSoapAction()

    - #### isForceHttp2

          public boolean isForceHttp2()

    - #### isDisableSSLVerification

          public boolean isDisableSSLVerification()

    - #### getTrustStorePath

          public String getTrustStorePath()

    - #### getIdentityStorePath

          public String getIdentityStorePath()

    - #### getTrustStorePassword

          public String getTrustStorePassword()

    - #### getIdentityStorePassword

          public String getIdentityStorePassword()

    - #### getTimeLimit

          public TimeValue getTimeLimit()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### custom

          public static BenchmarkConfig.Builder custom()

    - #### copy

          public static BenchmarkConfig.Builder copy(BenchmarkConfig config)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.